package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
@TableName("order_info")
public class OrderInfo extends BasePo {

    /**
     * 来源 1自定义添加 2万里牛
     */
    private Integer source;

    /**
     * 订单号
     */
    private String code;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 万里牛唯一uid
     */
    private String wlnUid;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 万里牛订单状态
     */
    private Integer wlnStatus;

    /**
     * 万里牛订单创建时间
     */
    private Date wlnCreateTime;

    /**
     * 万里牛订单审核时间
     */
    private Date wlnApproveTime;

    /**
     * 万里牛打单时间
     */
    private Date wlnPrintTime;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 万里牛同步时间戳
     */
    private Long modifyTime;

    /**
     * 快递单号
     */
    private String expressDeliveryCode;

    /**
     * 进度 {@link com.sd.business.entity.order.enums.OrderStatusEnum}
     */
    @NotNull(message = "订单进度不能为空")
    private Integer status;

    /**
     * 结算状态 1未结算 2已对账 3已结算
     */
    private Integer settlementStatus;

    /**
     * 电商平台
     */
    @NotBlank(message = "电商平台不能为空")
    private String commercePlatform;

    /**
     * 订单总金额
     */
    @NotNull(message = "订单总金额不能为空")
    private BigDecimal totalAmount;

    /**
     * 产品总金额
     */
    @NotNull(message = "产品总金额不能为空")
    private BigDecimal productTotalAmount;

    /**
     * 定制加工费
     */
    @NotNull(message = "定制加工费不能为空")
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    @NotNull(message = "代发费不能为空")
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    @NotNull(message = "快递包材费不能为空")
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    @NotNull(message = "包装人工费不能为空")
    private BigDecimal packingLabor;

    /**
     * 包材费
     */
    @NotNull(message = "包材费不能为空")
    private BigDecimal packagingMaterialCost;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 发货时间
     */
    @NotNull(message = "交货时间不能为空")
    private Date shippingTime;

    /**
     * 收货人
     */
    @NotBlank(message = "联系人不能为空")
    private String consignee;

    /**
     * 收货人电话
     */
    @NotBlank(message = "联系电话不能为空")
    private String consigneeNumber;

    /**
     * 省
     */
    @NotBlank(message = "省不能为空")
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 详细地址
     */
    @NotBlank(message = "详细地址不能为空")
    private String detailedAddress;

    /**
     * 邮编
     */
    @NotBlank(message = "邮编不能为空")
    private String postcode;

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 快递网点id
     */
    private String expressDeliveryId;

    /**
     * 标签
     */
    private String tag;

    /**
     * 备注
     */
    private String remark;

}
